/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.386 Revision 1.496
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.496 2011/06/03 15:03:47 ranger Exp $
4
5 03 Jun 2011; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
6 Marking ruby-1.8.7_p334-r1 ppc for bug 369141
7
8 02 Jun 2011; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
9 arm/x86 stable, bug #369141
10
11 01 Jun 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
12 Stable on amd64 wrt bug #369141
13
14 01 Jun 2011; Tobias Klausmann <klausman@gentoo.org>
15 ruby-1.8.7_p334-r1.ebuild:
16 Stable on alpha, bug #369141
17
18*ruby-1.8.7_p334-r1 (31 May 2011)
19
20 31 May 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334-r1.ebuild:
21 Revision bump for security bug 369141 (CVE-2011-0188)
22
23*ruby-1.9.2-r1 (16 May 2011)
24
25 16 May 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.2-r1.ebuild:
26 Don't remove racc files since all other ruby targets ship these files
27 themselves as well. Closes bug 363419.
28
29 13 Mar 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p302.ebuild,
30 ruby-1.8.7_p334.ebuild:
31 Remove old version. Remove obsolete and unused old-style virtual/ruby.
32
33 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
34 Add ~alpha/~arm/~ia64/~s390/~sh/~sparc wrt #332593
35
36 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
37 Add append-flags -mieee on sh, bug #357559
38
39 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
40 alpha/arm/ia64/s390/sh stable wrt #355439
41
42 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
43 Marked ~ppc64 wrt #332593
44
45 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
46 ruby-1.8.7_p334.ebuild:
47 x86 stable wrt security bug #355439
48
49 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
50 ruby-1.8.7_p334.ebuild:
51 ppc/ppc64 stable wrt #355439
52
53 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
54 Stable on amd64 wrt bug #355439
55
56 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
57 Stable for HPPA (bug #355439).
58
59*ruby-1.8.7_p334 (19 Feb 2011)
60
61 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
62 Version bump 1.8.7 series, security bug 355439
63
64 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
65 ruby-1.9.2.ebuild:
66 Remove PROVIDE for old-style virtual/ruby per bug 265054.
67
68 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
69 Remove masked ruby 1.8.6 per bug 332597.
70
71 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
72 -ruby-1.9.2_rc2.ebuild:
73 Removing old and vulnerable ebuilds
74
75 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
76 Marking ruby-1.8.7_p302 ppc64 for bug 332957
77
78 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
79 alpha/ia64/s390/sh/sparc stable wrt #332957
80
81*ruby-1.9.2 (24 Aug 2010)
82
83 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
84 metadata.xml:
85 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
86 and x86-fbsd due to a new dependency on rdoc.
87
88 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
89 arm stable, bug #332957
90
91 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
92 ruby-1.8.7_p302.ebuild:
93 x86 stable wrt security bug #332957
94
95 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
96 Stable on amd64 wrt bug #332957
97
98 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
99 Stable for PPC (bug #332957).
100
101 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
102 Stable for HPPA (bug #332957).
103
104*ruby-1.8.7_p302 (21 Aug 2010)
105
106 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
107 +ruby-1.8.7_p302.ebuild:
108 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
109 installation path.
110
111*ruby-1.8.6_p399 (19 Aug 2010)
112
113 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
114 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
115 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
116 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
117 installation path (reported by the x86 team in bug 332597)
118
119*ruby-1.9.2_rc2-r1 (18 Aug 2010)
120
121 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
122 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
123 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
124 the rubygems loading code. Add USE flag for psych.
125
126 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
127 ruby-1.9.2_rc2.ebuild:
128 Remove two keepdir that will try to keep an empty path, closes bug
129 #333163.
130
131 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
132 Marked ~ppc (bug #332593).
133
134 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
135 ruby-1.9.2_rc2.ebuild:
136 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
137
138 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
139 ruby-1.8.7_p299.ebuild:
140 Bump eselect-ruby dependency
141
142 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
143 -ruby-1.9.1_p429.ebuild:
144 Remove ebuild that is not target for unmask anyway.
145
146 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
147 ruby-1.9.2_rc2.ebuild:
148 Try 2 to fix the berkdb 5 issue on 1.9.
149
150 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
151 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
152 ruby-1.9.2_rc2.ebuild:
153 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
154 support for adding new patchsets without bumping the revision for all the
155 old ebuilds as well.
156
157*ruby-1.9.2_rc2 (14 Jul 2010)
158
159 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
160 +ruby-1.9.2_rc2.ebuild:
161 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
162 might cause _further_ build failures as it changed slightly behaviour.
163 You're going to need to rebuild rubygems and then all the packages
164 previously installed after upgrading to this.
165
166 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
167 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
168 -ruby-1.9.1_p376.ebuild:
169 Cleanup old versions.
170
171*ruby-1.9.1_p429 (04 Jul 2010)
172
173 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
174 +ruby-1.9.1_p429.ebuild:
175 Version bump to new 1.9.1 release.
176
177*ruby-1.8.7_p299 (23 Jun 2010)
178
179 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
180 +ruby-1.8.7_p299.ebuild:
181 Version bump.
182
183 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
184 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
185 remove useless comments
186
187 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
188 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
189 ruby-1.9.1_p376.ebuild:
190 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
191 dev.gentoo.org now.
192
193 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
194 ruby-1.9.1_p376.ebuild:
195 Use the correct RUBYLIB.
196
197*ruby-1.8.7_p249-r2 (18 May 2010)
198*ruby-1.8.6_p388-r1 (18 May 2010)
199
200 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
201 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
202 ruby-1.9.1_p376.ebuild, metadata.xml:
203 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
204 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
205 add USE flags for ncurses, readline and libedit, and properly depend on
206 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
207 Emacs versions support ruby-mode themselves and it should be even more
208 updated.
209
210*ruby-1.8.7_p249-r1 (06 May 2010)
211
212 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
213 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
214 309789 by Sune Kloppenborg Jeppesen.
215
216 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
217 ruby-1.8.7_p249.ebuild:
218 Use $PVR instead of $PV in patchset names
219
220 06 May 2010; Alex Legler <a3li@gentoo.org>
221 -files/ruby-1.8.6-memory-leak.diff,
222 -files/ruby18-mkmf-parallel-install.patch,
223 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
224 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
225 Remove old version. Cleanup in files/
226
227*ruby-1.9.1_p376 (01 May 2010)
228
229 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
230 Version bump. Fixes security bugs 296052 and 300468. No longer installs
231 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
232 instead.
233
234 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
235 -ruby-1.8.7_p174-r1.ebuild:
236 Remove vulnerable ebuilds, 300468
237
238 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
239 ruby-1.8.7_p249.ebuild:
240 amd64 stable, security bug 300468
241
242 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
243 ruby-1.8.7_p249.ebuild:
244 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
245
246 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
247 Stable for HPPA (bug #300468).
248
249 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
250 Stable for HPPA (bug #300468).
251
252 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
253 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
254
255 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
256 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
257
258 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
259 ruby-1.8.6_p388.ebuild:
260 stable x86, security bug 300468
261
262 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
263 ruby-1.8.7_p249.ebuild:
264 stable x86, security bug 300468
265
266*ruby-1.8.6_p388 (10 Jan 2010)
267
268 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
269 +ruby-1.8.6_p388.ebuild:
270 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
271 version. The new ebuild also has the fix for bug 168939.
272
273*ruby-1.8.7_p249 (10 Jan 2010)
274
275 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
276 +ruby-1.8.7_p249.ebuild:
277 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
278 version
279
280 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
281 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
282
283*ruby-1.8.7_p248 (25 Dec 2009)
284
285 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
286 Version bump
287
288 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
289 Remove old version.
290
291 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
292 Remove old version.
293
294 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
295 ia64/s390/sh stable wrt #288699
296
297 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
298 stable sparc, bug 288699
299
300 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
301 arm stable, bug #288699
302
303 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
304 amd64/x86 stable, bug #288699
305
306 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
307 ruby-1.8.7_p174-r1.ebuild:
308 Stable on alpha, bug #288699
309
310 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
311 ppc stable #288699
312
313 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
314 Stable for HPPA (bug #288699).
315
316 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
317 Marked ~hppa too.
318
319*ruby-1.8.7_p174-r1 (06 Oct 2009)
320
321 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
322 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
323 eselect-ruby cleanup feature.
324
325*ruby-1.9.1_p243 (09 Sep 2009)
326
327 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
328 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
329 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
330 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
331 -files/ruby19-rubygems-proxy.patch,
332 -files/ruby-1.9.1_p129-parallelmake.patch,
333 -files/ruby19-mkmf-parallel-install.patch:
334 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
335 168939. Cleaning up old patches.
336
337*ruby-1.8.6_p383 (20 Aug 2009)
338
339 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
340 Patchlevel bump.
341
342 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
343 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
344 ruby-1.9.1_p129-r1.ebuild:
345 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
346
347 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
348 Removing vulnerable ebuild, bug 273213.
349
350 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
351 Marking ruby-1.8.6_p369 ppc for bug 273213
352
353 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
354 ruby-1.9.1_p129-r1.ebuild:
355 Prepend our library path instead of overwriting it during src_install.
356 Thanks to the reporter of bug #274824.
357
358*ruby-1.8.7_p174 (18 Jun 2009)
359
360 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
361 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
362 Replacing 187_p173 with _p174 because of a regression. Unifying the
363 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
364 patchsets.
365
366 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
367 Marking ruby-1.8.6_p369 ppc64 for bug 273213
368
369 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
370 arm/ia64/s390/sh/sparc stable wrt #273213
371
372 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
373 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
374 Removing old version, minor cleanup
375
376 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
377 -files/ruby-1.8.6-openssl.patch,
378 -files/ruby-1.8.6-shortname_constants.patch,
379 -files/ruby-1.8.6_p111-r13657.patch,
380 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
381 Removing vulnerable old Ruby version and stale patches, bug 274108.
382
383 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
384 ruby-1.8.6_p369.ebuild:
385 Stable on alpha, bug #273213
386
387 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
388 Stable for HPPA (bug #273213).
389
390 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
391 ruby-1.8.6_p369.ebuild:
392 stable x86, security bug 273213
393
394 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
395 amd64 stable, security bug 273213.
396
397*ruby-1.8.7_p173 (10 Jun 2009)
398*ruby-1.8.6_p369 (10 Jun 2009)
399
400 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
401 +ruby-1.8.7_p173.ebuild:
402 Version bumps for bug #273213.
403
404*ruby-1.9.1_p129-r1 (27 May 2009)
405
406 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
407 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
408 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
409 +files/ruby-1.9.1_p129-parallelmake.patch:
410 Revision bump, add patches 1) to make Ruby behave more similarly between
411 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
412 extensions (undefined symbols in them will cause abort at runtime 3) to
413 remove a concurrency issue when building the dl extension that could
414 result in a broken dl.so.
415
416 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
417 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
418 Don't block rdoc-2 or later (which may enter Portage one day as it's
419 needed by some Rakefiles).
420
421 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
422 ruby-1.9.1_p129.ebuild:
423 Add ~x86-fbsd keyword.
424
425 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
426 keyword ~sparc-fbsd, bug #252315
427
428*ruby-1.9.1_p129 (15 May 2009)
429
430 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
431 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
432 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
433 included in every release.
434
435 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
436 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
437 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
438 ruby-1.8.7_p160.ebuild:
439 Removing vulnerable versions (#268515), fixing license (#233747).
440
441 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
442 Stable for HPPA (bug #268515).
443
444 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
445 Adapting rubygems notice.
446
447 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
448 amd64 stable, bug #268515.
449
450 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
451 arm/ia64/s390/sh/sparc stable wrt #268515
452
453 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
454 ruby-1.8.6_p368.ebuild:
455 stable x86, security bug 268515
456
457 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
458 ruby-1.8.6_p368.ebuild:
459 Stable on alpha, bug #268515
460
461 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
462 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
463
464*ruby-1.8.7_p160 (07 May 2009)
465*ruby-1.8.6_p368 (07 May 2009)
466
467 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
468 +ruby-1.8.7_p160.ebuild:
469 Version bump as per secbug 268515. NB: These are the first ebuilds that
470 no longer use ruby-config.
471
472*ruby-1.9.1-r1 (03 Apr 2009)
473*ruby-1.8.7_p72-r11 (03 Apr 2009)
474*ruby-1.8.6_p287-r13 (03 Apr 2009)
475
476 03 Apr 2009; Alex Legler <a3li@gentoo.org>
477 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
478 +files/ruby18-mkmf-parallel-install.patch,
479 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
480 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
481 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
482 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
483 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
484 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
485 happy.
486
487*ruby-1.9.1 (21 Mar 2009)
488
489 21 Mar 2009; Alex Legler <a3li@gentoo.org>
490 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
491 +ruby-1.9.1.ebuild:
492 Adding Ruby 1.9.1 for preliminary testing
493
494 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
495 ruby-1.8.6_p287-r12.ebuild:
496 Marked ~ppc for bug #252315.
4 497
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild: 498 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes 499 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982. 500 bug 261982.
8 501

Legend:
Removed from v.1.386  
changed lines
  Added in v.1.496

  ViewVC Help
Powered by ViewVC 1.1.20